#pragma once
#include "BKMSTD11.h"

class CBKMSTD11M : public CBKMSTD11
{
		DECLARE_DYNAMIC(CBKMSTD11M)
	protected:
		virtual bool        OnInitDevice() override;

	public:
		CBKMSTD11M();
		virtual ~CBKMSTD11M() override;

		virtual BK_DEV_MPI GetBoardModel() const override
		{
			return BK_DEV_MPI::MSTD11M;
		}

};

/*
Блок МСТД
Организация массива памяти (делается один массив в 64Кб чтобы не делать лишних действий)
А из них используется только последняя страница

32кб: пусто
000000--банк 0 ---страница 0 --- не используется
020000--банк 1 ---страница 1 --- не используется
040000--банк 2 ---страница 2 --- не используется
060000--банк 3 ---страница 3 --- не используется
32кб: ПЗУ
100000--банк 4 ---страница 4 --- не используется
120000--банк 5 ---страница 5---- не используется
140000--банк 6 ---страница 6 --- не используется
160000--банк 7 ---страница 7---- тесты мстд bk11m_330_mstd.rom
*/
